po4a_0.55-1_all.deb


Advertisement

Description

po4a - tools to ease the translation of documentation

Property Value
Distribution Ubuntu 19.10 (Eoan Ermine)
Repository Ubuntu Universe i386
Package filename po4a_0.55-1_all.deb
Package name po4a
Package version 0.55
Package release 1
Package architecture all
Package type deb
Category universe/text
Homepage https://po4a.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.42 MB
Installed size 2.86 MB
po4a eases the translation of documentation and other textual document.
Even more interestingly, it makes it easy to maintain these
translations when the original document changes. This is done by
using the gettext tools in this new domain.
This package contains the main libraries of po4a, and the necessary
sub-modules to handle the following formats:
- Dia: uncompressed Dia diagrams.
- INI: the INI format
- KernelHelp: Help messages of each kernel compilation option.
- LaTeX: generic TeX or LaTeX format.
- Man: either roff or mdoc format.
- POD: Perl documentation format.
- SGML: either DebianDoc or DocBook DTD.
- RubyDoc: Ruby documentation format.
- Texinfo: the info page format.
- XML: very configurable (preconfigured for DocBook, XHTML, Guide, WML).
- Yaml: Yaml documents.

Alternatives

Package Version Architecture Repository
po4a_0.55-1_all.deb 0.55 all Ubuntu Universe
po4a - - -

Requires

Name Value
gettext -
libsgmls-perl -
libyaml-tiny-perl -
opensp -
perl -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package po4a_0.55-1_all.deb
Source Package po4a

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install po4a deb package:
    # sudo apt-get install po4a

Changelog

2018-12-09 - Dr. Tobias Quathamer <toddy@debian.org>
po4a (0.55-1) unstable; urgency=medium
* New upstream version 0.55
- Failing HTML test has been removed upstream
- Sgml: Avoid deprecated unescaped left brace in regex to get ready
for Perl 5.32. (Closes: #903735)
- TransTractor: Ensure to split lines before addendum operation without
loss or addition of newline. With this change, addendum behavior is
more intuitive. (Closes: #518218)
- Xml, Docbook: Document XML tag behavior customization with example
to help use case specific customization. (Closes: #515763)
* Add texlive-latex-base to Build-Depends. The latex test needs the
file 'article.cls' which is included in that package.
* Add two more files to package's documentation
* Update Standards-Version to 4.2.1, no changes needed
2018-06-30 - Dr. Tobias Quathamer <toddy@debian.org>
po4a (0.54-1) unstable; urgency=medium
* New upstream version 0.54
- Remove patches, all have been applied upstream
- Remove workaround in d/rules to create empty files
- Texinfo: Fix handling of spaces in menu descriptions
(Closes: #758851).
- Text: Support pandoc's bibliographic information (title, author, date)
at the beginning of a markdown file. Also fix a trailing newline
in some markdown titles (Closes: #894977).
- Man: Support .MT and .ME macros for e-mail address
markup (Closes: #900965).
- Text: Fix the parsing of fortunes files, which had been broken since
v0.43. The handling has changed a bit, all msgids are now marked as
"no-wrap", because the word wrap in fortunes files usually matters.
This upstream fix has already been cherry-picked for the
Debian upload of 0.53-2.
* Use wrap-and-sort
* Do not run failing HTML module test
* Remove some example files, no longer distributed
2018-06-07 - Dr. Tobias Quathamer <toddy@debian.org>
po4a (0.53-2) unstable; urgency=medium
* Fix fortunes handling. (Closes: #900649)
2018-05-27 - Dr. Tobias Quathamer <toddy@debian.org>
po4a (0.53-1) unstable; urgency=medium
[ Martin Quinson ]
* d/control: Point Vcs fields to salsa
[ Dr. Tobias Quathamer ]
* New upstream version 0.53
- New module Yaml, by Brian Exelbierd.
- Improve new Yaml module with a few patches from upstream.
These patches are cherry-picked from upstream's git
repository. They will be included in the next upstream
release 0.54 and can be dropped then.
- Add libyaml-tiny-perl to Depends for new Yaml submodule
- Add Yaml to package description
- Includes updated Dutch translation. Closes: #877248
* Update URL for homepage
* Update d/watch for new github location
* Use debhelper v11
* Remove obsolete debian/NEWS file
* Update to Standards-Version 4.1.4
- Convert d/copyright to machine readable version
- Replace the shebang line in perl scripts to comply
with Policy 10.4
* Remove version check from d/rules, seems not needed anymore
2017-08-26 - Martin Quinson <mquinson@debian.org>
po4a (0.52-1) unstable; urgency=medium
* New upstream release.
- New module RubyDoc, by Francesco Poli (Closes: #827936)
- po4a-translate complains on outdated input po files (Closes: #637288)
- po4a: new option --no-update (Closes: #599179)
- Plus various small bug fixes and improvements
- Many translations updated (Closes: #862923, #859029, #860073)
* d/control: Remove Simon Paillard from uploaders. Thanks for the fish!
(Closes: #873268)
* d/control: bump the Standards-Version to 4.0.1. No change needed.

See Also

Package Description
poa_2.0+20060928-7_i386.deb Partial Order Alignment for multiple sequence alignment
poc-streamer_0.4.2-4build1_i386.deb MP3/Ogg multicast/HTTP streamer and MP3 cutting tool
pocillo-icon-theme_0.11.1_all.deb Tango-esque folder icon set called Pocillo
pocketsphinx-en-us_0.8.0+real5prealpha+1-6ubuntu1_all.deb Speech recognition tool - US English language model
pocketsphinx_0.8.0+real5prealpha+1-6ubuntu1_i386.deb Speech recognition tool
pocl-doc_1.3-3_all.deb documentation for the pocl library
pocl-opencl-icd_1.3-3_i386.deb pocl ICD
pod2pdf_0.42-5_all.deb Plain Old Documentation to Portable Document Format converter
podget_0.8.5-1_all.deb Podcast aggregrator/downloader optimized for cron
poe.app_0.5.1-5build8_i386.deb Vorbis comment editor
poedit-common_2.2.4-1_all.deb Common files for poedit
poedit_2.2.4-1_i386.deb gettext catalog editor
poezio_0.12.1-3_all.deb Console-based XMPP client
pokerth-data_1.1.2-1build2_all.deb Texas hold'em game - common data files
pokerth-server_1.1.2-1build2_i386.deb Texas hold'em game - server
Advertisement
Advertisement